using System.Collections.Generic;
using  System.Collections.Concurrent ;
namespace MyGame
{
    public class SessionData

    {
        public SessionData()
        {
            Map = new ConcurrentDictionary<string, Tile>();
            Overlays = new ConcurrentDictionary<string, Overlay>();
            Walls = new ConcurrentDictionary<string, Wall>();
            Players = new List< Player>();
            Colors = new List<string>();
        }
        public ConcurrentDictionary<string, Tile> Map { get; set; }
        public ConcurrentDictionary<string, Wall> Walls { get; set; }
        public ConcurrentDictionary<string, Overlay> Overlays { get; set; }
        public bool IsValid { get; set; }
        public List< Player> Players { get; set; }
        public List<string> Colors;
    }
}
